<div id="body" class="container-fluid">
  <form [formGroup]="form" novalidate>
    <div class="row">
      <div class="col-24 col-xl-22 offset-xl-1 col-xxl-16 offset-xxl-4">
        <mat-accordion>
          <mat-expansion-panel [expanded]="true" class="mb-3">
            <mat-expansion-panel-header collapsedHeight="inherit" expandedHeight="inherit" class="card-header py-2 px-3">
              <mat-panel-title>Search Vendor Order</mat-panel-title>
            </mat-expansion-panel-header>
            <div formGroupName="vendorSearchDetails">
              <div class="form-row form-compressed mb-1">
                <div class="form-group form-group-sm col-8">
                  <label>Vendor Order No</label>
                  <input type="text" class="form-control form-control-sm" formControlName="vendorOrderNo">
                </div>
                <div class="form-group form-group-sm col-8">
                  <label>H6 Customer ID</label>
                  <input type="text" class="form-control form-control-sm" formControlName="h5CustomerId">
                </div>
                <div class="form-group form-group-sm col-8">
                  <label>M5 #/CTN</label>
                  <input type="text" class="form-control form-control-sm" formControlName="m5Ctn">
                </div>
              </div>
              <div class="form-row form-compressed mb-1">
                <div class="form-group form-group-sm col-8">
                  <button class="btn btn-sm btn-primary btn-block" type="button" (click)="searchVendorOrder(this.vendorOrderId)">Search</button>
                </div>
              </div>
              <dx-data-grid class="mb-2" [dataSource]="vendorOrderSearchResults"
                            [wordWrapEnabled]="true" [rowAlternationEnabled]="true"
                            [showBorders]="true" [columnAutoWidth]="true">
                <dxo-sorting mode="multiple"></dxo-sorting>
                <dxo-paging [pageSize]="50"></dxo-paging>
                <dxo-pager [showPageSizeSelector]="true" [allowedPageSizes]="[10, 25, 50, 100]"></dxo-pager>
                <dxo-column-fixing [enabled]="true"></dxo-column-fixing>
                <dxo-scrolling mode="standard" useNative="false"></dxo-scrolling>
                <dxi-column dataField="vndrOrdrId" caption="Vendor Order No" dataType="string"></dxi-column>
                <dxi-column dataField="trmtgCd" caption="End" dataType="string"></dxi-column>
                <dxi-column dataField="vndrFoldrId" caption="Vendor Name">
                  <dxo-lookup [dataSource]="vendorOrderList"
                              valueExpr="vndrFoldrId"
                              displayExpr="vndrFoldrId">
                  </dxo-lookup>
                </dxi-column>
                <dxi-column dataField="emailSubjTxt" caption="Country" dataType="string"></dxi-column>
              </dx-data-grid>
            </div>
          </mat-expansion-panel>
        </mat-accordion>
      </div>
    </div>
    <!--<div class="row">
      <div class="col">
        <dx-data-grid class="mb-2" [dataSource]="vendorOrderSearchResults"
                      [wordWrapEnabled]="true" [rowAlternationEnabled]="true"
                      [showBorders]="true" [columnAutoWidth]="true">
          <dxo-paging [pageSize]="50"></dxo-paging>
          <dxo-pager [showPageSizeSelector]="true" [allowedPageSizes]="[10, 25, 50, 100]"></dxo-pager>
          <dxo-column-fixing [enabled]="true"></dxo-column-fixing>
          <dxo-scrolling mode="standard" useNative="false"></dxo-scrolling>
          <dxi-column dataField="verNbr" caption="Vendor Order No" dataType="string"></dxi-column>
          <dxi-column dataField="emailSubjTxt" caption="End" dataType="string"></dxi-column>
          <dxi-column dataField="emailSubjTxt" caption="Vendor Name" dataType="string"></dxi-column>
          <dxi-column dataField="emailSubjTxt" caption="Country" dataType="string"></dxi-column>
        </dx-data-grid>
      </div>
    </div>-->

    <!--Should be in Vendor Order Update-->
    <div class="row">
      <div class="col-24 col-xl-22 offset-xl-1 col-xxl-16 offset-xxl-4">
        <mat-accordion>
          <mat-expansion-panel [expanded]="true" class="mb-3">
            <mat-expansion-panel-header collapsedHeight="inherit" expandedHeight="inherit" class="card-header py-2 px-3">
              <mat-panel-title>General</mat-panel-title>
            </mat-expansion-panel-header>
            <div formGroupName="general" class="mb-3">
              <div class="form-row form-compressed">
                <div class="form-group form-group-sm col-8">
                  <label>Vendor Order No</label>
                  <input type="text" class="form-control form-control-sm" formControlName="vendorOrderNoGen">
                </div>
                <div class="form-group form-group-sm col-8">
                  <label>Vendor Name</label>
                  <input type="text" class="form-control form-control-sm" formControlName="vendorNameGen">
                </div>
              </div>
            </div>
            <mat-accordion>
              <mat-expansion-panel [expanded]="true" class="mb-3">
                <mat-expansion-panel-header collapsedHeight="inherit" expandedHeight="inherit" class="card-header py-2 px-3">
                  <mat-panel-title><h6>Vendor Address</h6></mat-panel-title>
                </mat-expansion-panel-header>
                <div formGroupName="vendorOrderAddress">
                  <div class="form-row form-compressed">
                    <div class="form-group form-group-sm col-8">
                      <label>Street Address 1</label>
                      <input type="text" class="form-control form-control-sm" formControlName="streetAddress1">
                    </div>
                    <div class="form-group form-group-sm col-8">
                      <label>Street Address 2</label>
                      <input type="text" class="form-control form-control-sm" formControlName="streetAddress2">
                    </div>
                    <div class="form-group form-group-sm col-8">
                      <label>Building</label>
                      <input type="text" class="form-control form-control-sm" formControlName="building">
                    </div>
                    <div class="form-group form-group-sm col-8">
                      <label>Floor</label>
                      <input type="text" class="form-control form-control-sm" formControlName="floor">
                    </div>
                    <div class="form-group form-group-sm col-8">
                      <label>Room</label>
                      <input type="text" class="form-control form-control-sm" formControlName="room">
                    </div>
                    <div class="form-group form-group-sm col-8">
                      <label>City</label>
                      <input type="text" class="form-control form-control-sm" formControlName="city">
                    </div>
                    <div class="form-group form-group-sm col-8">
                      <label>State</label>
                      <input type="text" class="form-control form-control-sm" formControlName="state">
                    </div>
                    <div class="form-group form-group-sm col-8">
                      <label>Country</label>
                      <input type="text" class="form-control form-control-sm" formControlName="country">
                    </div>
                    <div class="form-group form-group-sm col-8">
                      <label>Zip/Postal Code</label>
                      <input type="text" class="form-control form-control-sm" formControlName="zipPostalCode">
                    </div>
                  </div>
                </div>
              </mat-expansion-panel>
            </mat-accordion>
            <mat-accordion>
              <mat-expansion-panel [expanded]="true" class="mb-3">
                <mat-expansion-panel-header collapsedHeight="inherit" expandedHeight="inherit" class="card-header py-2 px-3">
                  <mat-panel-title><h6>Vendor Contact</h6></mat-panel-title>
                </mat-expansion-panel-header>
                <div class="row">
                  <div class="col">
                    <dx-data-grid class="mb-2" [dataSource]="vendorOrderContacts"
                                  [wordWrapEnabled]="true" [rowAlternationEnabled]="true"
                                  [showBorders]="true" [columnAutoWidth]="true">
                      <dxo-sorting mode="multiple"></dxo-sorting>
                      <dxo-paging [pageSize]="50"></dxo-paging>
                      <dxo-pager [showPageSizeSelector]="true" [allowedPageSizes]="[10, 25, 50, 100]"></dxo-pager>
                      <dxo-column-fixing [enabled]="true"></dxo-column-fixing>
                      <dxo-scrolling mode="standard" useNative="false"></dxo-scrolling>
                      <dxi-column dataField="verNbr" caption="First Name" dataType="string"></dxi-column>
                      <dxi-column dataField="emailSubjTxt" caption="Last Name" dataType="string"></dxi-column>
                      <dxi-column dataField="emailSubjTxt" caption="Telephone Number" dataType="string"></dxi-column>
                      <dxi-column dataField="emailSubjTxt" caption="Email Address" dataType="string"></dxi-column>
                      <dxi-column dataField="emailSubjTxt" caption="Product Type" dataType="string"></dxi-column>
                      <dxi-column dataField="emailSubjTxt" caption="Product Role" dataType="string"></dxi-column>
                    </dx-data-grid>
                  </div>
                </div>
              </mat-expansion-panel>
            </mat-accordion>
            <mat-accordion>
              <mat-expansion-panel [expanded]="true" class="mb-3">
                <mat-expansion-panel-header collapsedHeight="inherit" expandedHeight="inherit" class="card-header py-2 px-3">
                  <mat-panel-title><h6>PDL</h6></mat-panel-title>
                </mat-expansion-panel-header>
                <div formGroupName="pdl">
                  <div class="form-row form-compressed">
                    <div class="form-group form-group-sm col-24">
                      <label>Email PDL</label>
                      <textarea class="form-control form-control-sm" formControlName="pdlMail" rows="4" readonly></textarea>
                    </div>
                  </div>
                </div>
              </mat-expansion-panel>
            </mat-accordion>
            <div class="row">
              <div class="col mb-3">
                Is it originating or terminating end?
                <div class="form-check form-check-inline">
                  <input class="form-check-input" type="radio" name="originTerminate" id="originating" value="1">
                  <label class="form-check-label" for="originating">Originating</label>
                </div>
                <div class="form-check form-check-inline">
                  <input class="form-check-input" type="radio" name="originTerminate" id="terminating" value="2">
                  <label class="form-check-label" for="terminating">Terminating</label>
                </div>
              </div>
            </div>
            <div class="row">
              <div class="col">
                <div formGroupName="notesArea">
                  <div class="form-row form-compressed">
                    <div class="form-group form-group-sm col-24">
                      <label>Notes</label>
                      <textarea class="form-control form-control-sm" formControlName="notes" rows="4" [(ngModel)]="notesChar" [maxlength]="notesMaxChars"></textarea>
                      <label class="nopadding clrlbl"> Characters Remaining: {{notesMaxChars - notesChar.length}} / {{notesMaxChars}}</label>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </mat-expansion-panel>
        </mat-accordion>
      </div>
    </div>
    <div class="row">
      <div class="col-24 col-xl-22 offset-xl-1 col-xxl-16 offset-xxl-4">
        <mat-accordion>
          <mat-expansion-panel [expanded]="true" class="mb-3">
            <mat-expansion-panel-header collapsedHeight="inherit" expandedHeight="inherit" class="card-header py-2 px-3">
              <mat-panel-title>Association</mat-panel-title>
            </mat-expansion-panel-header>
            <div formGroupName="vendorAssociationDetails" class="row">
              <div class="col-9">
                <div class="form-group form-group-sm row col-24">
                  <label class="col-form-label col">Attach H6 Folder:</label>
                  <div class="col-12">
                    <button type="button" class="btn btn-sm btn-primary btn-block" (click)="searchVendorOrder(this.vendorOrderId)">
                      Add
                    </button>
                  </div>
                </div>
                <div class="form-group form-group-sm row col-24">
                  <label class="col-form-label col">H6 Customer ID:</label>
                  <div class="col-12">
                    <input type="text" class="form-control form-control-sm" formControlName="assocH5CustomerId">
                  </div>
                </div>
                <div class="form-group form-group-sm row col-24">
                  <label class="col-form-label col">H6 Customer Name:</label>
                  <div class="col-12">
                    <input type="text" class="form-control form-control-sm" formControlName="assocH5CustomerName">
                  </div>
                </div>
                <div class="form-group form-group-sm row col-24">
                  <label class="col-form-label col">City:</label>
                  <div class="col-12">
                    <input type="text" class="form-control form-control-sm" formControlName="assocCity">
                  </div>
                </div>
                <div class="form-group form-group-sm row col-24">
                  <label class="col-form-label col">Country:</label>
                  <div class="col-12">
                    <input type="text" class="form-control form-control-sm" formControlName="assocCountry">
                  </div>
                </div>
              </div>
              <div class="col-15">
                <dx-data-grid class="mb-2" [dataSource]="assocH5DocumentList"
                              [wordWrapEnabled]="true" [rowAlternationEnabled]="true"
                              [showBorders]="true" [columnAutoWidth]="true">
                  <dxo-sorting mode="multiple"></dxo-sorting>
                  <dxo-paging [pageSize]="50"></dxo-paging>
                  <dxo-pager [showPageSizeSelector]="true" [allowedPageSizes]="[10, 25, 50, 100]"></dxo-pager>
                  <dxo-column-fixing [enabled]="true"></dxo-column-fixing>
                  <dxo-scrolling mode="standard" useNative="false"></dxo-scrolling>
                  <dxi-column dataField="verNbr" caption="H6 Document" dataType="string"></dxi-column>
                  <dxi-column dataField="emailSubjTxt" caption="Size" dataType="string"></dxi-column>
                  <dxi-column dataField="emailSubjTxt" caption="Created by" dataType="string"></dxi-column>
                  <dxi-column dataField="emailSubjTxt" caption="Date" dataType="string"></dxi-column>
                  <dxi-column dataField="emailSubjTxt" caption="Action" dataType="string"></dxi-column>
                </dx-data-grid>
              </div>
            </div>
          </mat-expansion-panel>
        </mat-accordion>
      </div>
    </div>
  </form>
</div>
